const DEFAULT_CORRELATION_VALUE: f64 = 0.5;
const DEFAULT_WITHIN_THRESHOLD: f64 = 0.5; //i.e within of each other 50%

#[derive(Debug, Clone, PartialEq)]
pub struct Settings
{
	value: f64,
	within: f64 
}

impl Settings
{
	pub fn new(value: f64, within: f64) -> Self
	{
		Self{value, within}
	}

	pub fn target(&self) -> f64
	{
		self.value
	}

	pub fn within_threshold(&self) -> f64
	{
		self.within
	}
}

impl Default for Settings
{
	fn default() -> Self
	{
		Self::new(DEFAULT_CORRELATION_VALUE, DEFAULT_WITHIN_THRESHOLD)
	}
}